#pragma once

#include <EASTL/fixed_string.h>
#include "AbsPath.h"

namespace fs
{
namespace native_utils
{

bool validateCaseSensitiveFilename(AbsPathView filePath) noexcept;
bool validateCaseSensitiveFolder(AbsPathView folderPath) noexcept;

typedef eastl::fixed_string<wchar_t, 1024> wstring_t;
typedef eastl::fixed_string<char, 1024> string_t;

wstring_t utf8To16(tl::span<const char> str) noexcept;
string_t utf16To8(tl::span<const wchar_t> str) noexcept;

////////////////////////////////////////////////////////////////////////

}
}
